Bug 1130071

Summary: translate-toolkit-2.0.0 is available
Product: [Fedora] Fedora Reporter: Upstream Release Monitoring <upstream-release-monitoring>
Component: translate-toolkitAssignee: Jens Petersen <petersen>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: amigadave, dwayne, i18n-bugs, i, piotrdrag, pkovar, psatpute, trans-bugs
Target Milestone: ---Keywords: FutureFeature, Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: translate-toolkit-2.1.0-3.fc26 translate-toolkit-2.1.0-3.fc25 Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-06-09 18:53:17 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1370848, 1379778    
Bug Blocks: 965246    
Attachments:
Description Flags
incomplete patch to update to 2.0.0b5
none
incomplete patch to update to 2.0.0b6 none

Description Upstream Release Monitoring 2014-08-14 09:22:10 UTC
Latest upstream release: 1.12.0
Current version/release in Fedora Rawhide: 1.9.0-5.fc20
URL: http://sourceforge.net/api/file/index/project-name/translate/mtime/desc/limit/200/rss

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring

Comment 1 Piotr Drąg 2016-03-27 15:42:16 UTC
*** Bug 921670 has been marked as a duplicate of this bug. ***

Comment 2 Piotr Drąg 2016-03-27 15:48:06 UTC
1.13.0 is available for a year now, with 1.14.0 on the way.

Comment 3 Upstream Release Monitoring 2016-09-22 00:29:06 UTC
Latest upstream release: 2.0.0b5
Current version/release in rawhide: 1.11.0-2.el7
URL: http://toolkit.translatehouse.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3685/

Comment 4 Upstream Release Monitoring 2016-09-22 00:29:23 UTC
Rebase helper failed.
See logs and attachments in this bugzilla 'NoneType' object has no attribute 'get_rebasehelper_data'

Comment 5 Upstream Release Monitoring 2016-09-22 00:29:40 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-b7Dbr6/translate-toolkit.spec
return code:  22
stdout:
Getting https://pypi.python.org/packages/source/t/translate-toolkit/translate-toolkit-2.0.0b5.tar.bz2 to ./translate-toolkit-2.0.0b5.tar.bz2

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 6 David King 2016-09-27 15:27:32 UTC
Created attachment 1205273 [details]
incomplete patch to update to 2.0.0b5

For translate-toolkit 2.0.0b5, diff-match-patch is required, but it is not in Fedora yet. Also, python-vobject needs to be updated to 0.9.3. Finally, although it is not required, it would be good if l20n <https://pypi.python.org/pypi/l20n/4.0.0a1> was added to Fedora so that it could be added as a dependency.

Comment 7 Upstream Release Monitoring 2016-10-02 19:37:02 UTC
Latest upstream release: 2.0.0b6
Current version/release in rawhide: 1.11.0-2.el7
URL: http://toolkit.translatehouse.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3685/

Comment 8 Upstream Release Monitoring 2016-10-02 19:37:19 UTC
Rebase helper failed.
See logs and attachments in this bugzilla 'NoneType' object has no attribute 'get_rebasehelper_data'

Comment 9 Upstream Release Monitoring 2016-10-02 19:37:37 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-0Gz2Po/translate-toolkit.spec
return code:  22
stdout:
Getting https://pypi.python.org/packages/source/t/translate-toolkit/translate-toolkit-2.0.0b6.tar.bz2 to ./translate-toolkit-2.0.0b6.tar.bz2

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 10 David King 2016-10-03 09:28:40 UTC
Created attachment 1206775 [details]
incomplete patch to update to 2.0.0b6

Comment 11 Jens Petersen 2016-11-03 02:14:09 UTC
I think it is still a beta, but perhaps it could go into Rawhide.

Comment 12 Upstream Release Monitoring 2016-11-03 03:06:00 UTC
Latest upstream release: 2.0.0b7
Current version/release in rawhide: 1.13.0-1.fc26
URL: http://toolkit.translatehouse.org/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3685/

Comment 13 Upstream Release Monitoring 2016-11-03 03:06:21 UTC
Rebase helper failed.
See logs and attachments in this bugzilla 'NoneType' object has no attribute 'get_rebasehelper_data'

Comment 14 Upstream Release Monitoring 2016-11-03 03:06:40 UTC
Failed to kick off scratch build.

cmd:  spectool -g /var/tmp/thn-KXIzyS/translate-toolkit.spec
return code:  22
stdout:
Getting https://pypi.python.org/packages/source/t/translate-toolkit/translate-toolkit-2.0.0b7.tar.bz2 to ./translate-toolkit-2.0.0b7.tar.bz2

stderr:
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed

  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (22) The requested URL returned error: 404 Not Found

Comment 15 Upstream Release Monitoring 2017-02-11 05:41:42 UTC
petersen's translate-toolkit-2.0.0-1.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=847007

Comment 16 Upstream Release Monitoring 2017-02-11 11:36:39 UTC
petersen's translate-toolkit-2.0.0-2.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=849614

Comment 17 Upstream Release Monitoring 2017-02-11 12:34:55 UTC
petersen's translate-toolkit-2.0.0-3.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=850055

Comment 18 Fedora Update System 2017-02-11 12:52:52 UTC
translate-toolkit-2.0.0-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-646e2fe595

Comment 19 Fedora Update System 2017-02-12 16:20:44 UTC
translate-toolkit-2.0.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-646e2fe595

Comment 20 Upstream Release Monitoring 2017-02-13 09:03:53 UTC
petersen's translate-toolkit-2.0.0-4.fc26 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=858639

Comment 21 Fedora Update System 2017-02-13 09:21:22 UTC
translate-toolkit-2.0.0-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-646e2fe595

Comment 22 Fedora Update System 2017-02-14 00:53:02 UTC
translate-toolkit-2.0.0-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-646e2fe595

Comment 23 Fedora Update System 2017-04-14 10:15:44 UTC
translate-toolkit-2.1.0-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3a362ae44e

Comment 24 Fedora Update System 2017-04-15 00:29:15 UTC
translate-toolkit-2.1.0-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3a362ae44e

Comment 25 Fedora Update System 2017-05-10 06:28:18 UTC
translate-toolkit-2.1.0-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3f30cc765c

Comment 26 Fedora Update System 2017-05-10 06:28:37 UTC
translate-toolkit-2.1.0-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-2e97bbdeb2

Comment 27 Fedora Update System 2017-05-12 13:35:24 UTC
translate-toolkit-2.1.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-2e97bbdeb2

Comment 28 Fedora Update System 2017-05-13 01:09:27 UTC
translate-toolkit-2.1.0-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3f30cc765c

Comment 29 Fedora Update System 2017-06-09 18:53:17 UTC
translate-toolkit-2.1.0-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2017-06-23 01:55:20 UTC
translate-toolkit-2.1.0-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.